"""Climax input and output files."""

# !/usr/bin/env python
# -*- coding: utf-8 -*-

# builtins
import pathlib

# -----------------------------------------------------------------------------
# Paths to input data ---------------------------------------------------------
# -----------------------------------------------------------------------------

# project root path
ROOT = pathlib.Path('~/FACT_CLIMAX')
ROOT = pathlib.Path('/mnt/CEPH_PROJECTS/FACT_CLIMAX/')

# path to this file
HERE = pathlib.Path(__file__).parent

# path to ERA5 reanalysis data
ERA5_PATH = ROOT.joinpath('REANALYSIS')

# path to OBServation data
OBS_PATH = ROOT.joinpath('OBSERVATION')

# path to save trained models
MODEL_PATH = ROOT.joinpath('Models')

# create input and output paths
for path in [ERA5_PATH, OBS_PATH, MODEL_PATH]:
    if not path.exists():
        path.mkdir(parents=True, exist_ok=True)
